# include <iostream.h>
# include "list.h"

void main()
{
	List l1 = new CList(1, new CList(2, new CList(3, null)));
	List l2 = new CList(4, new CList(5, null));

	cout << "l1 = " << l1 << endl;
	cout << "l2 = " << l2 << endl;
	cout << endl;

	cout << "length(l1) = " << length(l1) << endl;
	cout << "length([]) = " << length(null) << endl;
	cout << endl;

	cout << "copy([]) = " << copy(null) << endl;
	cout << "copy(l2) = " << copy(l2) << endl;
	cout << endl;
	
	cout << "append(l1, l2) = " << append(l1, l2) << endl;
	cout << "append(l1, l1) = " << append(l1, l1) << endl;
	cout << "append(l1, []) = " << append(l1, null) << endl;
	cout << "append([], l2) = " << append(null, l2) << endl;
	cout << "append([], []) = " << append(null, null) << endl;
	cout << endl;

	cout << "reverse(l1) = " << reverse(l1) << endl;
	cout << "reverse([]) = " << reverse(null) << endl;
	cout << endl;

	cout << "append(l1,reverse(l1)) = " << append(l1,reverse(l1)) << endl;
	cout << endl;

	cout << "sum(l1) = " << sum(l1) << endl;
	cout << "sum([]) = " << sum(null) << endl;
}